## com.google.javascript.jscomp
Class CodingConvention.DelegateRelationship

    java.lang.Object
      com.google.javascript.jscomp.CodingConvention.DelegateRelationship

Enclosing interface:
  CodingConvention

    public static class CodingConvention.DelegateRelationship

extends Object

Delegates provides a mechanism and structure for identifying where classes can call out to optional code to augment their functionality. The optional code is isolated from the base code through the use of a subclass in the optional code derived from the delegate class in the base code.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`